Bug 216294 - speexenc crashes on amd64, but not on i686
speexenc crashes on amd64, but not on i686
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: speex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: Desktop
Depends On: 206413
  Show dependency treegraph
Reported: 2006-11-18 15:56 EST by Matthias Clasen
Modified: 2013-03-05 22:48 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-12 04:45:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-11-18 15:56:53 EST
+++ This bug was initially created as a clone of Bug #206413 +++

speexenc whatever.wav whatever.spx crashes on x86_64 with a segfault, but it
works just fine on x86_32.

Version-Release number of selected component (if applicable):

How reproducible:
Every time, for every file I tried.

-- Additional comment from oliva@lsd.ic.unicamp.br on 2006-09-14 04:19 EST --
*** Bug 206412 has been marked as a duplicate of this bug. ***

-- Additional comment from jean-marc.valin@usherbrooke.ca on 2006-11-18 06:14 EST --
(I'm the Speex maintainer) This is a known bug that has been fixed in 1.1.12,
but I'm sure the 2-line patch would also apply in 1.0.5:

-- Additional comment from mclasen@redhat.com on 2006-11-18 15:54 EST --
rawhide already has 1.2beta1, but for FC6, we should probably get that 2 line
fix included.

...and for RHEL5 too
Comment 1 RHEL Product and Program Management 2006-11-18 16:00:11 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 2 David Zeuthen 2006-11-20 19:01:20 EST
Patch is in speex-1.0.5-4.
Comment 3 Xiaohong Wang 2006-12-12 04:44:31 EST
Verified on RHEL5-Client-20061207.0 with speex-1.0.5-4, no crash on amd64
system, so resolve this bug.

Note You need to log in before you can comment on or make changes to this bug.